# GoldenDict-ng

[![Crowdin](https://badges.crowdin.net/goldendict-ng/localized.svg)](https://crowdin.com/project/goldendict-ng)
[![Maintainability Rating](https://sonarcloud.io/api/project_badges/measure?project=xiaoyifang_goldendict&metric=sqale_rating)](https://sonarcloud.io/summary/new_code?id=xiaoyifang_goldendict)
[![Build](https://github.com/xiaoyifang/goldendict-ng/actions/workflows/PR-check-cmake.yml/badge.svg)](https://github.com/xiaoyifang/goldendict-ng/actions/workflows/PR-check-cmake.yml)

GoldenDict-ng is an advanced dictionary lookup program, supporting [many formats](https://xiaoyifang.github.io/goldendict-ng/dictformats/).

| Linux | Windows | macOS |
|--|--|--|
| [<img src="website/docs/img/linux_genshin.webp" width="500"/>](https://xiaoyifang.github.io/goldendict-ng/) | [<img src="website/docs/img/windows_white.webp" width="500"/>](https://xiaoyifang.github.io/goldendict-ng/) | [<img src="website/docs/img/mac_black.webp" width="500"/>](https://xiaoyifang.github.io/goldendict-ng/) |

[Download & Install](https://xiaoyifang.github.io/goldendict-ng/install/)

[Documentation](https://xiaoyifang.github.io/goldendict-ng/)

[Bug reporting in issue tracker](https://github.com/xiaoyifang/goldendict-ng/issues)

[General discussions](https://github.com/xiaoyifang/goldendict-ng/discussions)

# Some features compared to the original GoldenDict

- webengine with latest html/css feature support
- support >4GB dictionary
- support highdpi screen resolution
- built with xapian as fulltext engine
- support latest Qt6
- performance optimization(eg. >10000000 headwords support) 
- anki integration
- dark theme
- daily auto release support
- lots of bug fixes and improvements
- general code improvements for easier development

## Help GoldenDict's Development

GoldenDict is developed by volunteers.

All kinds of help like answering questions, bug reporting, testing, translation and coding are welcomed.

To translate the interface, you can use the Crowdin <https://crowdin.com/project/goldendict-ng>

To start development, check out [developer guide](https://xiaoyifang.github.io/goldendict-ng/developer/)


## License

This project is licensed under the <b>GNU GPLv3+</b> license, a copy of which can be found in the `LICENSE.txt` file.

## History

The original project was developed at <http://goldendict.org/> and <https://github.com/goldendict/goldendict>.

## Thank JetBrains for the help

[![JetBrains Black Box Logo logo](https://resources.jetbrains.com/storage/products/company/brand/logos/jb_square.png)](https://jb.gg/OpenSourceSupport)

